from clipify.core.processor import ContentProcessor
from clipify.core.text_processor import SmartTextProcessor
from clipify.core.ai_providers import HyperbolicAI, OpenAIProvider, AnthropicProvider
from clipify.core.clipify import Clipify
from clipify.video.cutter import VideoCutter
from clipify.video.converter import VideoConverter
from clipify.video.processor import VideoProcessor
from clipify.audio.extractor import AudioExtractor
from clipify.audio.speech import SpeechToText
from clipify.video.converterStretch import VideoConverterStretch
import warnings
# Suppress specific Whisper warning about torch.load
warnings.filterwarnings(
    "ignore",
    category=FutureWarning,
    module="whisper",
    message="You are using `torch.load` with `weights_only=False`.*"
)
# Suppress MoviePy warning about bytes reading
warnings.filterwarnings(
    "ignore",
    category=UserWarning,
    module="moviepy.video.io.ffmpeg_reader",
    message="Warning: in file.*bytes wanted but 0 bytes read.*"
)
__version__ = "0.1.0"

__all__ = [
    'ContentProcessor',
    'SmartTextProcessor',
    'HyperbolicAI',
    'OpenAIProvider',
    'AnthropicProvider',
    'Clipify',
    'VideoCutter',
    'VideoConverter',
    'VideoProcessor',
    'AudioExtractor',
    'SpeechToText',
    'VideoConverterStretch',
] 